package com.kingdee.eas.gyt;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class BizHelpFacadeFactory
{
    private BizHelpFacadeFactory()
    {
    }
    public static com.kingdee.eas.gyt.IBizHelpFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.gyt.IBizHelpFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("32E44C30") ,com.kingdee.eas.gyt.IBizHelpFacade.class);
    }
    
    public static com.kingdee.eas.gyt.IBizHelpFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.gyt.IBizHelpFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("32E44C30") ,com.kingdee.eas.gyt.IBizHelpFacade.class, objectCtx);
    }
    public static com.kingdee.eas.gyt.IBizHelpFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.gyt.IBizHelpFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("32E44C30"));
    }
    public static com.kingdee.eas.gyt.IBizHelpFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.gyt.IBizHelpFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("32E44C30"));
    }
}